#include "testlib.h"

const int maxn = 100000;
const int maxm = 100000;
const int maxr = 1000000;
const int maxa = 360000000;

int main()
{
  registerValidation();
  int n = inf.readInt(1, maxn);
  inf.readSpace();
  int m = inf.readInt(1, maxm);
  inf.readEoln();
  for (int i = 0; i < n; i++)
  {
    inf.readInt(1, maxr);
    inf.readSpace();
    inf.readInt(-1, 1);
    inf.readEoln();
  }
  for (int i = 0; i < m; i++)
  {
    inf.readInt(0, maxa - 1);
    inf.readEoln();
  }
  for (int i = 0; i < 2; i++)
  {
    inf.readInt(1, n);
    inf.readSpace();
    inf.readInt(1, m);
    inf.readEoln();
  }
  inf.readEof();
  return 0;
}

